MINGETTY(8)

NAZWA
mingetty - minimalne getty dla konsol

SKŁADNIA
mingetty [--noclear] [--nonewline] [--noissue] [--nohangup] [--nohostname] [--long-hostname] [--loginprog=/bin/login] [--nice=10] [--delay=5] [--chdir=/home] [--chroot=/chroot] [--autologin username] [--loginpause] tty

OPIS
mingetty jest minimalnym getty dla użytku na wirtualnych konsolach. W przeciwieństwie do agetty(8), mingetty nie nadaje się do obsługi linii szeregowych. Dla tego celu polecam używać mgetty(8).

OPCJE

--noclear
    Nie czyść ekranu przed poproszeniem o nazwę użytkownika (normalnie ekran jest czyszczony).

--nonewline
    Nie drukuje znaku nowej linii przed wypisaniem zawartości pliku /etc/issue.

--noissue
    Nie wypisuje zawartości pliku /etc/issue.

--nohangup
    Nie wywołuje funkcji vhangup(), aby uniemożliwić innym aplikacjom zapisywanie do tego tty.

--nohostname
    Nie wyświetla nazwy komputera w linii zgłoszeń.

--long-hostname
    Domyślnie nazwa hosta jest drukowana tylko do pierwszej kropki. Po włączeniu tej opcji, pokazywany jest pełny tekst gethostname(2).

--loginprog /bin/login
    Zmienia program używany do logowania użytkowników.

--nice 10
    Zmienia priorytet za pomocą wywołania funkcji nice().

--delay 5
    Po uruchomieniu mingetty wstrzymuje działanie na podaną liczbę sekund.

--chdir /home
    Zmienia katalog na podany przed uruchomieniem programu logowania.

--chroot /chroot
    Wywołuje chroot() z podaną nazwą katalogu.

--autologin username
    Loguje automatycznie podanego użytkownika bez pytania o nazwę użytkownika i hasło. Patrz także opis opcji -f programu /bin/login.

--loginpause
    Czeka na wciśnięcie dowolnego klawisza przed wyświetleniem linii zgłoszenia. Może być połączone z --autologin, aby zaoszczędzić pamięć przez nieuruchamianie automatycznie powłok.

SEKWENCJE SPECJALNE
mingetty rozpoznaje następujące sekwencje specjalne, które można osadzić w pliku /etc/issue:

\d  wstawia bieżący dzień (czas lokalny),

\l  wstawia nazwę terminala, na którym działa mingetty,

\m  wstawia architekturę maszyny (uname -m),

\n  wstawia sieciową nazwę węzła maszyny (uname -n),

\o  wstawia nazwę domeny,

\r  wstawia wydanie systemu operacyjnego (uname -r),

\t  wstawia czas bieżący (lokalny),

\s  wstawia nazwę systemu operacyjnego,

\u oraz \U
    liczba użytkowników, którzy są obecnie zalogowani. \U wstawia "n users", podczas gdy \u wstawia tylko "n".

\v  wstawia wersję systemu operacyjnego (uname -v).

PRZYKŁAD
Tekst "Linux eos i386 #1 Tue Mar 19 21:54:09 MET 1996" można stworzyć, wstawiając do /etc/issue "\s \n \m \v".

PLIKI
/etc/issue, /var/run/utmp.

ZOBACZ TAKŻE
mgetty(8), agetty(8).

AUTOR
Copyright © 1996 Florian La Roche <laroche@redhat.com>. Stronę podręcznika napisali:David Frey <David.Frey@eos.lugs.ch> i Florian La Roche.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.08 oryginału.